#include <iostream>

using namespace std;

int main()
{
    int x,n,mini=1000000000,maxi=-1000000000,k;
    cin>>n>>x;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]<mini)
            mini=a[i];
        if(a[i]>maxi)
            maxi=a[i];
    }
    if(x>mini&& x<maxi)
    {
        k=x-mini+maxi-mini;
    }
    else
    {
    if(x>maxi&&x>mini)
    {
        k=x-mini;
    }
        else
            k=maxi-x;
    }
    cout<<k;
}